Bug 430584 - widgets stay highlighted, related to not all mouse events passed
widgets stay highlighted, related to not all mouse events passed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 16:22 EST by Thomas J. Baker
Modified: 2009-01-06 05:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-06 05:21:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2008-01-28 16:22:13 EST
I've got Fedora 8 synergy server talking to a rawhide synergy client and many
mouse events don't seem to be passed. One example is that if I mouse over all
the buttons at the top of an evolution window with the default Fedora theme,
they all highlight (with this theme, they become 3D from flat) but don't
un-highlight after the mouse leaves. Same thing happens with tooltips from panel
applets. Also, with firefox, I can select menus from the personal toolbar but
can't select any of the bookmarks inside the folders. All of these issues only
occur with synergy controlling the mouse. Normal mouse works as expected.
Probably all related to the X server changing how it receives input. Is there a
newer version in the works that is compatible with the newer X server? Maybe an
update should be pushed to rawhide to test it?
Comment 1 Bug Zapper 2008-05-14 00:54:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Saou 2009-01-02 10:56:55 EST
There are still no synergy updates. The project itself seems mostly dead, which wouldn't be much of a problem if the program wasn't so often affected by Xorg changes...

Could you please confirm if you still see this issue with a more recent Fedora release?
Comment 3 Thomas J. Baker 2009-01-05 11:26:06 EST
I'm running 10 now and everything seems fine at the moment.
Comment 4 Matthias Saou 2009-01-06 05:21:38 EST
Closing as CURRENTRELEASE, then. Note that there are unfortunately other known problems with synergy, with open bug reports.

Note You need to log in before you can comment on or make changes to this bug.